summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2018-03-06 22:28:19 +0100
committerMichael Palimaka <kensington@gentoo.org>2018-03-12 11:49:53 +1100
commitbe90ce2d163af6ed8f89a662de9dac3c4ff2bbe1 (patch)
treededc0deab0782961adb03244fea08ac8c194eee2 /eclass
parentqt5-build.eclass: remove gcc version check (diff)
downloadgentoo-be90ce2d163af6ed8f89a662de9dac3c4ff2bbe1.tar.gz
gentoo-be90ce2d163af6ed8f89a662de9dac3c4ff2bbe1.tar.bz2
gentoo-be90ce2d163af6ed8f89a662de9dac3c4ff2bbe1.zip
qt5-build.eclass: stop using deprecated ltprune.eclass
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 8bea23d44d37..12695141072c 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -57,7 +57,7 @@ esac
# for tests you should proceed with setting VIRTUALX_REQUIRED=test.
: ${VIRTUALX_REQUIRED:=manual}
-inherit eapi7-ver estack flag-o-matic ltprune toolchain-funcs virtualx
+inherit eapi7-ver estack flag-o-matic toolchain-funcs virtualx
HOMEPAGE="https://www.qt.io/"
LICENSE="|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3"
@@ -320,7 +320,9 @@ qt5-build_src_install() {
fi
qt5_install_module_config
- prune_libtool_files
+
+ # prune libtool files
+ find "${D}" -name '*.la' -delete || die
}
# @FUNCTION: qt5-build_pkg_postinst